apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: app
  name: api-sir-vehicles
  labels:
    app: api-sir-vehicles
spec:
  replicas: 1
  selector:
    matchLabels:
      app: api-sir-vehicles
  template:
    metadata:
      labels:
        app: api-sir-vehicles
    spec:
      containers:
        - image: gjeanmart/spring-boot-simple:0.0.1-SNAPSHOT
          imagePullPolicy: Always
          name: api-sir-boxes
          command:
            - "java"
            - "-javaagent:/apm-agent.jar"
            - "-Delastic.apm.active=$(ELASTIC_APM_ACTIVE)"
            - "-Delastic.apm.server_urls=$(ELASTIC_APM_SERVER)"
            - "-Delastic.apm.service_name=api-sir-vehicles"
            - "-Delastic.apm.disable_instrumentations=dispatcher-servlet"
            - "-jar"
            - "app.jar"
          env:
            - name: SPRING_DATA_MONGODB_HOST
              value: mongo
            - name: ELASTIC_APM_ACTIVE
              value: "true"
            - name: ELASTIC_APM_SERVER
              value: http://apm-server.monitoring.svc.cluster.local:8200
          ports:
            - containerPort: 8080